Subject: Re: [PATCH 0/5] activate diff.renames by default

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Feb 2016 11:17:12 -0800

Matthieu Moy <[email-masked]> writes:

> I have always wondered why diff.renames was not activated by default.
> I've had it to true in my configuration for 9 years, and I've been
> teaching newbies to set it for a while without issue. I think it's
> time to activate it by default, but please let me know if I missed a
> reason to keep it to false.
>
> In any case, the first 3 patches are useful cleanups.

It's a long time coming since I heard "I love how I can just say
'oh, keep in mind that we might want to..' and 24 hours later you
did it." [*1*]

I can hardly be an impartial judge for this series, though.

[Reference]

*1* http://thread.gmane.org/gmane.comp.version-control.git/3541/focus=3702

> Matthieu Moy (5):
>   Documentation/diff-config: fix description of diff.renames
>   t4001-diff-rename: wrap file creations in a test
>   t: add tests for diff.renames (true/false/unset)
>   log: introduce init_log_defaults()
>   diff: activate diff.renames by default
>
>  Documentation/diff-config.txt |  7 ++--
>  builtin/commit.c              |  1 +
>  builtin/diff.c                |  1 +
>  builtin/log.c                 | 16 ++++---
>  builtin/merge.c               |  1 +
>  diff.c                        |  5 +++
>  diff.h                        |  1 +
>  t/t4001-diff-rename.sh        | 97 +++++++++++++++++++++++++++++++++++--------
>  t/t4013-diff-various.sh       |  2 +
>  t/t4014-format-patch.sh       |  4 +-
>  t/t4047-diff-dirstat.sh       |  3 +-
>  t/t4202-log.sh                |  8 ++--
>  12 files changed, 114 insertions(+), 32 deletions(-)